repositories = {
    "3rdparty": {
        "path": "/home/medsrv/actualGIT/3rdparty"
    },
    "common": {
        "path": "/home/medsrv/actualGIT/common"
    },
    "epserver": {
        "path": "/home/medsrv/actualGIT/epserver"
    },
    "download": {
        "path": "/home/medsrv/actualGIT/download"
    },
}

components = {
    "plugins": {
        "repos": "download"
    },

    "viewer": {
        "repos": "download"
    },

    "viewerdefaults": {
        "repos": "download"
    },

    "desktopapps": {
        "repos": "download"
    },

    "apache": {
        "repos": "3rdparty",
        "deps": ["openssl", "javakit"]
    },
    "curl": {
        "repos": "3rdparty"
    },
    "exttools": {
        "repos": "3rdparty"
    },
    "haproxy": {
        "repos": "3rdparty"
    },
    "imagemagick": {
        "repos": "3rdparty"
    },
    "javakit": {
        "repos": "3rdparty"
    },
    "mysql": {
        "repos": "3rdparty"
    },
    "openssl": {
        "repos": "3rdparty"
    },
    "poco": {
        "repos": "3rdparty",
        "deps": ["openssl"]
    },
    "grpc": {
        "repos": "3rdparty"
    },
    "drwatson": {
        "repos": "epserver"
    },
    "etc": {
        "repos": "epserver"
    },
    "log": {
        "repos": "epserver"
    },
    "medetc": {
        "repos": "epserver"
    },
    "sitespec": {
        "repos": "epserver"
    },
    "webcl": {
        "repos": "epserver",
    },
    "proto": {
        "repos": "epserver",
    },
    "web": {
        "repos": "epserver",
        "deps": ["javakit", "apache", "webcl", "proto"]
    },
    "backend": {
        "dirs": [
            {
                "repos": "common",
                "path": "dcmtk"
            },
            {
                "repos": "common",
                "path": "pbdcm"
            },
            {
                "repos": "common",
                "path": "imgproc"
            },
            {
                "repos": "common",
                "path": "gwav"
            },
            {
                "repos": "common",
                "path": "gwav3"
            },
            {
                "repos": "common",
                "path": "gwav4"
            },
            {
                "repos": "epserver",
                "path": "backend"
            }
        ],
        "deps": ["imagemagick", "javakit", "mysql", "openssl", "poco", "grpc", "proto"]
    },
    "taskd": {
        "dirs": [
            {
                "repos": "epserver",
                "path": "taskd"
            },
            {
                "repos": "epserver",
                "path": "web/taskd"
            },
            {
                "repos": "epserver",
                "path": "backend/taskd"
            }
        ],
        "deps": ["web", "backend"]
    },
    "serverrole": {
        "repos": "epserver"
    },
    "intracom": {
        "repos": "epserver"
    },
    "replicator": {
        "repos": "epserver"
    }
}

multicomponents = [
    "backend",
    "web"
]

